package com.qmth.jkserver.dto.excel;

import com.qmth.jkserver.annotation.ExcelProperty;

/**
 * @Description: 考生基础数据导出
 * @Author: CaoZixuan
 * @Date: 2021-12-01
 */
public class ExamStudentExportDto {

    @ExcelProperty(name = "考试识别码", width = 15, index = 1)
    private String examCode;

    @ExcelProperty(name = "批次id", width = 15, index = 2)
    private String batchId;

    @ExcelProperty(name = "场次id", width = 15, index = 3)
    private String stageId;

    @ExcelProperty(name = "考点代码", width = 15, index = 4)
    private String placeCode;

    @ExcelProperty(name = "考场代码", width = 15, index = 5)
    private String roomCode;

    @ExcelProperty(name = "准考证号", width = 15, index = 6)
    private String ticketNo;

    @ExcelProperty(name = "身份证号", width = 15, index = 7)
    private String idCard;

    @ExcelProperty(name = "姓名", width = 15, index = 8)
    private String studentName;

    @ExcelProperty(name = "科目代码", width = 15, index = 9)
    private String courseCode;

    @ExcelProperty(name = "科目名称", width = 15, index = 10)
    private String courseName;

    @ExcelProperty(name = "考试开始时间", width = 15, index = 11)
    private String examStartTime;

    @ExcelProperty(name = "考试结束时间", width = 15, index = 12)
    private String examEndTime;


    public String getExamCode() {
        return examCode;
    }

    public void setExamCode(String examCode) {
        this.examCode = examCode;
    }

    public String getBatchId() {
        return batchId;
    }

    public void setBatchId(String batchId) {
        this.batchId = batchId;
    }

    public String getStageId() {
        return stageId;
    }

    public void setStageId(String stageId) {
        this.stageId = stageId;
    }

    public String getPlaceCode() {
        return placeCode;
    }

    public void setPlaceCode(String placeCode) {
        this.placeCode = placeCode;
    }

    public String getRoomCode() {
        return roomCode;
    }

    public void setRoomCode(String roomCode) {
        this.roomCode = roomCode;
    }

    public String getTicketNo() {
        return ticketNo;
    }

    public void setTicketNo(String ticketNo) {
        this.ticketNo = ticketNo;
    }

    public String getIdCard() {
        return idCard;
    }

    public void setIdCard(String idCard) {
        this.idCard = idCard;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getExamStartTime() {
        return examStartTime;
    }

    public void setExamStartTime(String examStartTime) {
        this.examStartTime = examStartTime;
    }

    public String getExamEndTime() {
        return examEndTime;
    }

    public void setExamEndTime(String examEndTime) {
        this.examEndTime = examEndTime;
    }
}
